#!/bin/sh

path=`pwd`
ver=`basename ${path}`

LOG="/rev31/bas/log"

JIKKO_DIR="/rev31/bas/jikko"

echo "Ver${ver}のコンパイルを実行しますか？（y/n）"

read ans01

if [ "$ans01" = "y" ]
then
	echo "コンパイル実行開始（Ver${ver}） : ${USER}" >> ${LOG}
	date >> ${LOG}
	echo "">> ${LOG}

	echo "*****実行ファイル作成*****"
	FCC -g -o ../../jikko/"ver${ver}.out"  \
	 Atamawari.c Atamawari_cut.c cntl.c econ.c file_open.c file_write_cut.c file_write_kakyu.c main.c printout.c printout_2.c read_cut.c read_file.c \
	 ReadHiyousha.c ReadKokunen_jisseki.c stdfm.c tumatumi_cal_jisseki.c tyousei.c waku.c dtst.c dokuzi_cal.c

	rm *.o
	rm *.ti

	echo "コンパイル終了" >> ${LOG}
	date >> ${LOG}
	echo "">> ${LOG}
fi


${JIKKO_DIR}/jikko_bas_${ver}.sh



